# version 1.1, 2025-12-12

bind-key -T insert_strings l display-menu -T 'insert command line : LVM' \
	' create thin pool from existing data and meta LVs' '1' 'send-keys "lvconvert --type thin-pool --poolmetadata nvme/nvmethinmeta nvme/nvmethin"' \
	'' \
	' lvs+' '2' 'send-keys "lvs -o +lv_layout,devices,lv_tags"' \
	' lvs+ (cache info)' '3' 'send-keys "lvs -o+cache_policy,cache_mode,cache_settings,cache_total_blocks,cache_dirty_blocks"' \
	' lvs++ (cache info -v)' '4' 'send-keys "lvs -a -o +cache_policy,cache_mode,cache_settings,cache_total_blocks,cache_used_blocks,cache_dirty_blocks,cache_read_hits,cache_read_misses,cache_write_hits,cache_write_misses rstudio_bigdata_hdd/bigdata | less"' \
	' lvs+ (writecache info)' '5' 'send-keys "lvs -o cache_settings,writecache_block_size,writecache_total_blocks,writecache_free_blocks,writecache_writeback_blocks,writecache_error 16t_hdd1/osd_data"' \
	' lvdisplay --maps' '6' 'send-keys "lvdisplay --maps"' \
	' lvcreate thin LV' '7' 'send-keys "lvcreate --name thinlv --virtualsize 42m --thinpool pool vgname"' \
	' pvchange --addtag' '8' 'send-keys "pvchange --addtag lvm-nvme0 --addtag osd /dev/nvme"' \
	' pvcreate --uuid' '9' 'send-keys "pvcreate --uuid uPfe8b-IeEs-zsHI-0i1y-a97e-zHpd-vnJlom --norestorefile /dev/sd"' \
	' pvs+ (tags)' '0' 'send-keys "pvs -o pv_name,pv_uuid,pv_tags,vg_name"'

